#include <MDataStd_ShapeRetrievalDriver.ixx>
#include <PDataStd_Shape.hxx>
#include <TDataStd_Shape.hxx>
#include <CDM_MessageDriver.hxx>

MDataStd_ShapeRetrievalDriver::MDataStd_ShapeRetrievalDriver(const Handle(CDM_MessageDriver)& theMsgDriver):MDF_ARDriver(theMsgDriver)
{}

Standard_Integer MDataStd_ShapeRetrievalDriver::VersionNumber() const
{ return 0; }

Handle(Standard_Type) MDataStd_ShapeRetrievalDriver::SourceType() const
{ return STANDARD_TYPE(PDataStd_Shape); }

Handle(TDF_Attribute) MDataStd_ShapeRetrievalDriver::NewEmpty() const
{ return new TDataStd_Shape; }

void MDataStd_ShapeRetrievalDriver::Paste(const Handle(PDF_Attribute)& Source,const Handle(TDF_Attribute)& Target,const Handle(MDF_RRelocationTable)& RelocTable) const
{
}

